# Test of DCflow
# A test with zeros to test the interface
# np.zeros((nbuses), dtype=np.double)

import dcflow_wrapper_copy as dc
import numpy as np

# Create variables
# Number of buses: 3
# Number of generators: 2
# Number of lines: 3

# int
nbuses = 3
ngens = 2
nlines = 3
nseg = 0
lmess = 0
rmext = 0
icont = 0
nicont = 0
ibuild = 1
nz = 0
nsteps = 0
iflag = 0
maxfrt = 0
la = 0
nlcold = 0
il = 0
nvar = 100
nclin = 0
mrowa = 100
ip = 0
lout = 0

# int *
igbus = np.zeros((nbuses), dtype=np.intc)
ifromb = np.zeros((nbuses), dtype=np.intc)
itob = np.zeros((nbuses), dtype=np.intc)
ickt = np.zeros((nbuses), dtype=np.intc)
istat = np.zeros((nbuses), dtype=np.intc)
ibusno = np.zeros((nbuses), dtype=np.intc)
ibus = np.zeros((nbuses), dtype=np.intc)
segtyp = np.zeros((nbuses), dtype=np.intc)
preffrst = np.zeros((nbuses), dtype=np.intc)
prefnext = np.zeros((nbuses), dtype=np.intc)
preftyp = np.zeros((nbuses), dtype=np.intc)
irn = np.zeros((nbuses), dtype=np.intc)
icn = np.zeros((nbuses), dtype=np.intc)
ikeep = np.zeros((nbuses), dtype=np.intc)
iw = np.zeros((nbuses), dtype=np.intc)
iw1 = np.zeros((nbuses), dtype=np.intc)
wconct = np.zeros((nbuses), dtype=np.intc)
wbus = np.zeros((nbuses), dtype=np.intc)
istate = np.zeros((nbuses), dtype=np.intc)
iconp = np.zeros((nbuses), dtype=np.intc)

# double *
pload = np.zeros((nbuses), dtype=np.double)
pgen = np.zeros((nbuses), dtype=np.double)
psell = np.zeros((nbuses), dtype=np.double)
pbuy = np.zeros((nbuses), dtype=np.double)
xinv = np.zeros((nbuses), dtype=np.double)
ratea = np.zeros((nbuses), dtype=np.double)
price = np.zeros((nbuses), dtype=np.double)
maxmw = np.zeros((nbuses), dtype=np.double)
prefcost = np.zeros((nbuses), dtype=np.double)
prefmw = np.zeros((nbuses), dtype=np.double)
teta0 = np.zeros((nbuses), dtype=np.double)
basflow = np.zeros((nbuses), dtype=np.double)
cincr = np.zeros((nbuses), dtype=np.double)
a = np.zeros((nbuses), dtype=np.double)
w = np.zeros((nbuses), dtype=np.double)
akoeff = np.zeros((nbuses), dtype=np.double)
bl = np.zeros((nbuses), dtype=np.double)
bu = np.zeros((nbuses), dtype=np.double)
sens = np.zeros((nbuses), dtype=np.double)
told = np.zeros((nbuses), dtype=np.double)
cvec = np.zeros((nbuses), dtype=np.double)
x = np.zeros((nbuses), dtype=np.double)
clamda = np.zeros((nbuses), dtype=np.double)

# double **
amat = np.zeros([2, 2], dtype=np.double)

# double
sbase = 100.0

# char *
busnam = np.zeros((nbuses), dtype=np.intc)

# Call functions
dc.upcon(nvar, nclin, mrowa, amat, bl, bu, x, istate, told)