/* Headerfile "dcflow.h" */

__declspec(dllexport) void master(int nbuses, int ngens, int nlines, int *igbus, int *preffrst, int *prefnext, double *prefcost, double *prefmw, int *preftyp, double *pload, double *cincr, double *pbuy, double *psell, double *pgen, double *teta0, int *ifromb, int *itob, double *xinv, int *istat, double *ratea, double *basflow, int nlcold, int *ibusno, int *wconct, int *wbus, double *akoeff, int *ickt, double sbase, int *busnam);

__declspec(dllexport) void bulilist(int nbuses, int *ibus, double *price, double *maxmw, int *segtyp, int nseg, int *preffrst, int *prefnext, double *prefcost, double *prefmw, int *preftyp);

__declspec(dllexport) void addbrc(int il, int nclin, int nvar, int mrowa, double **amat, double *bl, double *bu, double *sens, int *preffrst, int *prefnext, double *told, int nbuses, int *ifromb, int *itob, int *igbus, double *xinv, double *pload, double *ratea);

__declspec(dllexport) void balcon(int nvar, int nclin, double *cvec, int mrowa, double **amat, double *bl, double *bu, int *preffrst, int *prefnext, double *prefcost, double *prefmw, int nbuses, int *igbus, double *pload, double *akoeff);

__declspec(dllexport) void remove(int ip, int nvar, int nclin, int mrowa, double **amat, double *bl, double *bu, int *istate, int *iconp);

__declspec(dllexport) void upcon(int nvar, int nclin, int mrowa, double **amat, double *bl, double *bu, double *x, int *istate, double *told);

__declspec(dllexport) void update(int nbuses, int ngens, double *cincr, double *pbuy, double *psell, double *pgen, int *igbus, int *preffrst, int *prefnext, int *preftyp, int nvar, double *clamda, double *cvec, double *x);

