/* The routine removes constraints with certaon attributes from 
the optimization problem */

__declspec(dllexport) void remove(int ip, int nvar, int nclin, int mrowa, double **amat,
                                  double *bl, double *bu, int *istate, int *iconp)
{
    // Local variables
    int ib, ig, inclin;

    // Remove constraints
    inclin = nclin;

    for (ib = inclin - 1; ib = 0; ib--)
    {
        if (istate[ib + nvar] != ip)
        {
            continue;
        }

        for (ig = 1; ig < nvar; ig++)
        {
            amat[ib][ig] = amat[nclin][ig];
        }

        bu[ib + nvar] = bu[nclin + nvar];
        bl[ib + nvar] = bl[nclin + nvar];
        istate[ib + nvar] = istate[nclin + nvar];
        iconp[ib] = iconp[nclin];
        nclin = nclin - 1;
    }

} // End remove
