
      SUBROUTINE UPDATE(NBUSES,NGENS,CINCR,PBUY,PSELL,PGEN,IGBUS,
     &                  PREFFRST,PREFNEXT,PREFTYP,NVAR,CLAMDA,CVEC,X)
C
C   the algorithm concludes the result from the optimization
C   program
C
C
C  DEKLARATIONS
C
      INTEGER*4 NVAR
C
      REAL*8   CLAMDA(*)        , CVEC(*)        , X(*)
C
      INTEGER  NBUSES           , NGENS          , IGBUS(NBUSES)    ,
     &         PREFFRST(NBUSES) , PREFNEXT(*)    , PREFTYP(*)
C
      REAL     CINCR(NBUSES)    , PBUY(NBUSES)   , PSELL(NBUSES)    ,
     &         PGEN(NGENS)      

C
C
C  initialize 
C
      DO 50 IB = 1,NBUSES
         CINCR(IB) = 0.0
         PBUY(IB) = 0.0
         PSELL(IB) = 0.0
50    CONTINUE
C
      DO 60 IG = 1,NGENS
         PGEN(IG) = 0.0
60    CONTINUE
C
C
C   update all variables 
C
      ILAST = 0
      DO 200 IB = 1,NBUSES
         IS = PREFFRST(IB)
190      IF (IS .EQ. 0) GOTO 200
         ILAST = ILAST + 1
         IF (PREFTYP(IS) .EQ. 1) THEN
            PSELL(IB) = PSELL(IB) - X(ILAST)
         ELSEIF (PREFTYP(IS) .EQ. 2) THEN
            PBUY(IB) = PBUY(IB) + X(ILAST)
         ELSEIF (PREFTYP(IS) .EQ. 3) THEN
            IG = IGBUS(IB)
            PGEN(IG) = PGEN(IG) + X(ILAST)
         ELSE
            WRITE(*,*) ' ***** ERROR IN VECTOR - PREFTYP() ****'
         ENDIF
         CINCR(IB) = CLAMDA(ILAST) - CVEC(ILAST)
         IS = PREFNEXT(IS)
         GOTO 190
200   CONTINUE

      IF (ILAST .NE. NVAR) WRITE(*,*) ' **** ERROR IN UPDATE ****'
C
C  END
C

      END
