# test_wrapper.py

import ctypes

# Load the library
lib = ctypes.cdll.LoadLibrary(
    "c:\\Users\\hegek\\Documents\\NTNU\\5\\Master\\test\\test.dll"
)

# Set the argument type
lib.add.argtypes = [ctypes.c_int] * 2
lib.add.restype = ctypes.c_int

# Define the function
def add(var1, var2):
    """Wrapper for add from test.c"""
    return lib.add(var1, var2)

